Bug 729287 - HDMI goes blank when laptop screen is closed, no way to change this behavior from KDE or Gnome. [NEEDINFO]
Summary: HDMI goes blank when laptop screen is closed, no way to change this behavior ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 19
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 11:26 UTC by Edward O'Callaghan
Modified: 2015-02-17 13:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:50:22 UTC
airlied: needinfo? (eocallaghan)


Attachments (Terms of Use)

Description Edward O'Callaghan 2011-08-09 11:26:45 UTC
Description of problem:
While a HDMI TV is connected to this Asus laptop (unsure if this happens on other models), I am unable to close the laptop screen while a movie is playing over the HDMI as the HDMI output is also switched to a blank frame. Note that the appropriate settings where set in KDE power management (do nothing when screen is closed.) Gnome was tried however no such setting ability is possible in its version of power management.

I am unsure if this is a Xorg, driver, Kernel or KDE userland issue. Happy to provide more information if needed.

Background:
Laptop is a Asus N61J Core i7 machine with a ATi Radeon HD5730/1GB-VRAM card.


Version-Release number of selected component (if applicable):
[root@dexter ~]# uname -a
Linux dexter.auroraux.org 3.0.1-3.fc16.x86_64 #1 SMP Mon Aug 8 18:13:59 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Steps to Reproduce:
1. Connect HDMI TV to Asus N61J laptop
2. Close lid while playing film
3. Screen goes black on TV also.

Expected results:
laptop screen to go blank, TV not.

Additional info:



[root@dexter ~]# rpm -qa "xorg-*"
xorg-x11-drv-cirrus-1.3.2-9.fc16.x86_64
xorg-x11-drv-rendition-4.2.4-6.fc16.x86_64
xorg-x11-fonts-misc-7.5-4.fc15.noarch
xorg-x11-drv-aiptek-1.4.1-1.fc16.x86_64
xorg-x11-drv-v4l-0.2.0-13.fc16.x86_64
xorg-x11-server-utils-7.5-5.fc16.x86_64
xorg-x11-drv-nouveau-0.0.16-25.20110324git8378443.fc16.x86_64
xorg-x11-drv-vmware-11.0.3-5.fc16.x86_64
xorg-x11-utils-7.5-2.fc15.x86_64
xorg-x11-drv-siliconmotion-1.7.5-1.fc16.x86_64
xorg-x11-drv-fbdev-0.4.2-1.fc16.x86_64
xorg-x11-drv-hyperpen-1.4.1-1.fc16.x86_64
xorg-x11-drv-openchrome-0.2.904-14.fc16.x86_64
xorg-x11-drv-keyboard-1.6.0-1.fc16.x86_64
xorg-x11-drv-penmount-1.5.0-2.fc16.x86_64
xorg-x11-drv-dummy-0.3.4-6.fc16.x86_64
xorg-x11-drv-fpit-1.4.0-1.fc16.x86_64
xorg-x11-xinit-1.3.1-1.fc16.x86_64
xorg-x11-drv-ast-0.91.10-6.fc16.x86_64
xorg-x11-drv-nv-2.1.18-7.fc16.x86_64
xorg-x11-drv-trident-1.3.4-6.fc16.x86_64
xorg-x11-drv-savage-2.3.2-4.fc16.x86_64
xorg-x11-drv-apm-1.2.3-7.fc16.x86_64
xorg-x11-drv-evdev-2.6.99-2.20110601giteaf202531.fc16.x86_64
xorg-x11-drv-ati-6.14.2-1.20110727git8c9266ed2.fc16.x86_64
xorg-x11-drv-synaptics-1.4.1-1.fc16.x86_64
xorg-x11-drv-acecad-1.5.0-1.fc16.x86_64
xorg-x11-resutils-7.5-2.fc15.x86_64
xorg-x11-drv-vmmouse-12.7.0-1.fc16.x86_64
xorg-x11-drv-r128-6.8.1-10.fc16.x86_64
xorg-x11-drv-mga-1.4.13-7.fc16.x86_64
xorg-x11-drv-i740-1.3.2-8.fc16.x86_64
xorg-x11-drv-voodoo-1.2.4-6.fc16.x86_64
xorg-x11-drv-mouse-1.7.1-1.fc16.x86_64
xorg-x11-drv-qxl-0.0.21-3.fc16.x86_64
xorg-x11-drv-wacom-0.11.99-3.20110527.fc16.x86_64
xorg-x11-server-common-1.10.99.1-9.20110510.fc16.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.5-4.fc15.noarch
xorg-x11-drv-sisusb-0.9.4-6.fc16.x86_64
xorg-x11-proto-devel-7.6-12.fc16.noarch
xorg-x11-drv-intel-2.15.901-1.fc16.x86_64
xorg-x11-drv-vesa-2.3.0-8.fc16.x86_64
xorg-x11-drv-tdfx-1.4.3-8.fc16.x86_64
xorg-x11-drv-elographics-1.3.0-1.fc16.x86_64
xorg-x11-drv-s3virge-1.10.4-8.fc16.x86_64
xorg-x11-drv-void-1.4.0-1.fc16.x86_64
xorg-x11-drv-sis-0.10.3-6.fc16.x86_64
xorg-x11-drv-i128-1.3.4-8.fc16.x86_64
xorg-x11-drivers-7.4-2.fc15.x86_64
xorg-x11-drv-mach64-6.9.0-1.fc16.x86_64
xorg-x11-xauth-1.0.6-1.fc16.x86_64
xorg-x11-font-utils-7.5-6.fc15.x86_64
xorg-x11-apps-7.6-2.fc15.x86_64
xorg-x11-drv-glint-1.2.5-1.fc16.x86_64
xorg-x11-drv-mutouch-1.3.0-1.fc16.x86_64
xorg-x11-xkb-utils-7.5-5.fc16.x86_64
xorg-x11-server-Xorg-1.10.99.1-9.20110510.fc16.x86_64


Kind Regards,
Edward.

Comment 1 Dave Airlie 2011-11-24 19:43:51 UTC
please attach Xorg.0.log and dmesg.

Comment 2 Fedora End Of Life 2013-04-03 18:02:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Fedora End Of Life 2015-01-09 16:44:48 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-02-17 13:50:22 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.